fvz=512.25;
priznaky=[];
spatne=0;
load Database.mat

[m,n]=size(zaznamy);
% [b,a]=butter(2,[(0.5*2/fvz),(150*2/fvz)],'bandpass'); %nakonec nevyužité předzpracování
for i=1:m
try    
sig=zaznamy(i,1:n-1);
sig=AWWF(sig, fvz,[0,0]);
close all
% sig=filter(b,a,sig);
pr=casove_priznaky(sig,fvz); %výpočet hodnot příznaků daného záznamu
zaznami=[pr,zaznamy(i,n)];
priznaky=[priznaky;zaznami]; %ukládání hodnot
catch
    spatne=spatne+1; %počítání záznamů, u kterých se vyskytuje chyba v detekci význačných bodů
end
end

save('priznaky','priznaky')